Skip to main content
POST
/
v0
/
business
/
{business_id}
/
bill-payment
Apply Transaction to a Bill
curl --request POST \
  --url https://api.sandbox.getasset.com/v0/business/{business_id}/bill-payment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bill_id": "<string>",
  "transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ",
  "payment_amount": 1
}
'
{
  "data": {
    "business_id": "<string>",
    "vendor_id": "<string>",
    "number": "<string>",
    "description": "<string>",
    "total_amount": 123,
    "total_paid": 123,
    "due_at": "2023-11-07T05:31:56Z",
    "issued_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "voided_at": "2023-11-07T05:31:56Z",
    "metadata_": {},
    "lines": [
      {
        "description": "<string>",
        "ledger_id": "ldg_ErisumsAc7qgmbTctM7zKK",
        "amount": 123,
        "id": "<string>",
        "bill_id": "<string>",
        "metadata_": {}
      }
    ],
    "payments": [
      {
        "bill_id": "<string>",
        "payment_id": "<string>",
        "datetime": "2023-11-07T05:31:56Z",
        "payment_amount": 123,
        "id": "<string>",
        "transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",
        "credit_journal_entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "bill": "<unknown>"
      }
    ],
    "tags": {
      "Job": [
        {
          "amount": "3000.00",
          "value": "Maple Street Remodel"
        },
        {
          "amount": "1500.00",
          "value": "Downtown Office Rewire"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-user-id
string | null

Optional external entity identifier that performed the action

Path Parameters

business_id
string<biz_string>
required

The id of the business

Example:

"biz_GA6EG2qFxA97NZHtxeLPUy"

Body

application/json
bill_id
string<bil_string>
required

The ID of the bill to apply payment to

Example:

"bil_Lq5AyApd4pdL1VvakpY5aJ"

transaction_id
string<txn_string> | null

The ID of the transaction to apply as payment. If null, the payment is drawn from the vendor's available credit pool and payment_amount is required.

Example:

"txn_oiL7THC5RDi2PVUbVyyoJ"

payment_amount

The amount to apply as payment. When transaction_id is provided, defaults to the transaction amount. When transaction_id is null, this is required and must be greater than zero.

Required range: x >= 0

Response

Successful Response

data
BillPublic · object
required